%token <int> INT
%token PLUS MINUS TIMES DIV
%token L_PAREN R_PAREN
%token EOL
%left PLUS MINUS
%left TIMES DIV
%nonassoc UMINUS
%start main
%type <int> main
%%
main:
  expr EOL			{ $1 }
;
expr:
    INT				{ $1 }
  | L_PAREN expr R_PAREN	{ $2 }
  | expr a PLUS expr		{ $1 + $4 }
  | expr MINUS expr		{ $1 - $3 }
  | expr TIMES expr		{ $1 * $3 }
  | expr DIV expr		{ $1 / $3 }
  | MINUS expr %prec UMINUS	{ - $2 }

a:
      {}
      ;
